CEL: Crystal Entity Layer: iCelMapFile Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelMapFile Struct Reference

A representation of a map file for a region. More...

`#include <propclass/zone.h>`

List of all members.

## Public Member Functions
virtual const char * | GetFile () const =0
| Get the VFS filename for the world file associated with this map.
virtual const char * | GetPath () const =0
| Get the VFS path for the world file associated with this map.
virtual const char * | GetSectorName () const =0
| Return the sector name if this map is represented by a single sector (i.e.
virtual void | SetFile (const char *file)=0
| Set the VFS filename for the world file associated with this map.
virtual void | SetPath (const char *path)=0
| Set the VFS path for the world file associated with this map.
virtual void | SetSectorName (const char *name)=0
| This map file corresponds with a sector instead of a VFS path.

## Detailed Description

A representation of a map file for a region.

Definition at line 40 of file zone.h.

## Member Function Documentation

virtual const char* iCelMapFile::GetFile | ( |  | ) | const`[pure virtual]`

| Get the VFS filename for the world file associated with this map. Returns 0 if SetSectorName() is used.

virtual const char* iCelMapFile::GetPath | ( |  | ) | const`[pure virtual]`

| Get the VFS path for the world file associated with this map. Returns 0 if path is not used.

virtual const char* iCelMapFile::GetSectorName | ( |  | ) | const`[pure virtual]`

| Return the sector name if this map is represented by a single sector (i.e. SetSectorName()). Returns 0 if SetPath() is used.

virtual void iCelMapFile::SetFile | ( | const char * | file | ) | `[pure virtual]`

| Set the VFS filename for the world file associated with this map. This is relative to the path if given.

virtual void iCelMapFile::SetPath | ( | const char * | path | ) | `[pure virtual]`

| Set the VFS path for the world file associated with this map. If not 0 then the VFS current dir will be set to this path and filename will be relative to that. Otherwise path is ignored.

virtual void iCelMapFile::SetSectorName | ( | const char * | name | ) | `[pure virtual]`

| This map file corresponds with a sector instead of a VFS path. Use this instead of SetPath() if you want the region to have a single empty sector. The given name is the name of the sector.

The documentation for this struct was generated from the following file:

- propclass/zone.h